org.apache.sysds.runtime.io.hdf5.message

## Class H5NilMessage

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message
  - - org.apache.sysds.runtime.io.hdf5.message.H5NilMessage

    public class H5NilMessage
    extends H5Message

### Constructor Summary

Constructors
Constructor and Description
`H5NilMessage(H5RootObject rootObject, BitSet flags)`
`H5NilMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5NilMessage

    public H5NilMessage(H5RootObject rootObject,
                        BitSet flags,
                        ByteBuffer bb)

#### H5NilMessage

    public H5NilMessage(H5RootObject rootObject,
                        BitSet flags)

### Method Detail

#### toBuffer

    public void toBuffer(H5BufferBuilder bb)